USE [SageFrontOffice]
GO

/****** Object:  Table [RADIO].[SOL_USERS]    Script Date: 16/06/2020 7:25:55 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [RADIO].[SOL_USERS](
	[SOL_UID] [uniqueidentifier] NOT NULL,
	[USR_GROUP] [int] NOT NULL,
	[USR_ROLE1_ID] [int] NOT NULL,
	[USR_ROLE2_ID] [int] NOT NULL,
	[USR_ROLE4_ID] [int] NOT NULL,
	[USR_ROLE8_ID] [int] NOT NULL,
	[USR_ROLE16_ID] [int] NOT NULL,
	[USR_ROLE32_ID] [int] NOT NULL,
	[USR_ROLE1_REASIGN] [bit] NOT NULL,
	[USR_ROLE2_REASIGN] [bit] NOT NULL,
	[USR_ROLE4_REASIGN] [bit] NOT NULL,
	[USR_ROLE8_REASIGN] [bit] NOT NULL,
	[USR_ROLE16_REASIGN] [bit] NOT NULL,
	[USR_ROLE1_REASIGN_COMMENT] [nvarchar](250) NULL,
	[USR_ROLE2_REASIGN_COMMENT] [nvarchar](250) NULL,
	[USR_ROLE4_REASIGN_COMMENT] [nvarchar](250) NULL,
	[USR_ROLE8_REASIGN_COMMENT] [nvarchar](250) NULL,
	[USR_ROLE16_REASIGN_COMMENT] [nvarchar](250) NULL,
 CONSTRAINT [PK_SOL_USERS] PRIMARY KEY CLUSTERED 
(
	[SOL_UID] ASC,
	[USR_GROUP] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [RADIO].[SOL_USERS] ADD  CONSTRAINT [DF_SOL_USERS_USR_ROLE1_ID]  DEFAULT ((-1)) FOR [USR_ROLE1_ID]
GO

ALTER TABLE [RADIO].[SOL_USERS] ADD  CONSTRAINT [DF_SOL_USERS_USR_ROLE2_ID]  DEFAULT ((-1)) FOR [USR_ROLE2_ID]
GO

ALTER TABLE [RADIO].[SOL_USERS] ADD  CONSTRAINT [DF_SOL_USERS_USR_ROLE4_ID]  DEFAULT ((-1)) FOR [USR_ROLE4_ID]
GO

ALTER TABLE [RADIO].[SOL_USERS] ADD  CONSTRAINT [DF_SOL_USERS_USR_ROLE8_ID]  DEFAULT ((-1)) FOR [USR_ROLE8_ID]
GO

ALTER TABLE [RADIO].[SOL_USERS] ADD  CONSTRAINT [DF_SOL_USERS_USR_ROLE16_ID]  DEFAULT ((-1)) FOR [USR_ROLE16_ID]
GO

ALTER TABLE [RADIO].[SOL_USERS] ADD  CONSTRAINT [DF_SOL_USERS_USR_ROLE32_ID]  DEFAULT ((-1)) FOR [USR_ROLE32_ID]
GO

ALTER TABLE [RADIO].[SOL_USERS] ADD  CONSTRAINT [DF_SOL_USERS_USR_ROLE1_REASIGN]  DEFAULT ((0)) FOR [USR_ROLE1_REASIGN]
GO

ALTER TABLE [RADIO].[SOL_USERS] ADD  CONSTRAINT [DF_SOL_USERS_USR_ROLE2_REASIGN]  DEFAULT ((0)) FOR [USR_ROLE2_REASIGN]
GO

ALTER TABLE [RADIO].[SOL_USERS] ADD  CONSTRAINT [DF_SOL_USERS_USR_ROLE4_REASIGN]  DEFAULT ((0)) FOR [USR_ROLE4_REASIGN]
GO

ALTER TABLE [RADIO].[SOL_USERS] ADD  CONSTRAINT [DF_SOL_USERS_USR_ROLE8_REASIGN]  DEFAULT ((0)) FOR [USR_ROLE8_REASIGN]
GO

ALTER TABLE [RADIO].[SOL_USERS] ADD  CONSTRAINT [DF_SOL_USERS_USR_ROLE16_REASIGN]  DEFAULT ((0)) FOR [USR_ROLE16_REASIGN]
GO

ALTER TABLE [RADIO].[SOL_USERS]  WITH CHECK ADD  CONSTRAINT [FK_SOL_USERS_SOLICITUDES] FOREIGN KEY([SOL_UID])
REFERENCES [RADIO].[SOLICITUDES] ([SOL_UID])
GO

ALTER TABLE [RADIO].[SOL_USERS] CHECK CONSTRAINT [FK_SOL_USERS_SOLICITUDES]
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'1: MinTic
2: ANE' , @level0type=N'SCHEMA',@level0name=N'RADIO', @level1type=N'TABLE',@level1name=N'SOL_USERS', @level2type=N'COLUMN',@level2name=N'USR_GROUP'
GO


